From: Vincent Cheng <vcheng@debian.org>
Date: Fri, 25 Sep 2020 00:37:50 +0200
Subject: Fix various spelling errors identified by lintian

Forwarded: http://sourceforge.net/support/tracker.php?aid=3526444
Last-Update: 05-13-2012
---
 doc/slashem.6      | 2 +-
 src/cmd.c          | 2 +-
 src/gypsy.c        | 2 +-
 sys/unix/cpp1.shr  | 2 +-
 win/gnome/gnmenu.c | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/doc/slashem.6 b/doc/slashem.6
index e621b0a..4e74137 100644
--- a/doc/slashem.6
+++ b/doc/slashem.6
@@ -186,7 +186,7 @@ to chose the alignment of the character.
 Leaving out any of these characteristics will result in you being prompted 
 during the game startup for the information.
 .PP
-Instead of chosing the above seperately you can add them as suffixes to
+Instead of chosing the above separately you can add them as suffixes to
 the playername:
 .B \-u
 .I playername\-race\-gender\-alignment
diff --git a/src/cmd.c b/src/cmd.c
index 237e905..5faaee1 100644
--- a/src/cmd.c
+++ b/src/cmd.c
@@ -2571,7 +2571,7 @@ wiz_show_display()
     Sprintf(buf, "Trap: %s", lev->mem_trap ?
 	    defsyms[trap_to_defsym(lev->mem_trap)].explanation : "none");
     putstr(win, 0, buf);
-    Sprintf(buf, "Backgroud: %s", defsyms[lev->mem_bg].explanation);
+    Sprintf(buf, "Background: %s", defsyms[lev->mem_bg].explanation);
     putstr(win, 0, buf);
     putstr(win, 0, "");
     glyph = glyph_at(cc.x, cc.y);
diff --git a/src/gypsy.c b/src/gypsy.c
index 3d50706..f26ecb7 100644
--- a/src/gypsy.c
+++ b/src/gypsy.c
@@ -431,7 +431,7 @@ fortune (mtmp)
 					pline_The("moon is waning tonight.");
 					break;
 				default:
-					impossible("wierd moonphase %d", flags.moonphase);
+					impossible("weird moonphase %d", flags.moonphase);
 					break;
 			}
 			break;
diff --git a/sys/unix/cpp1.shr b/sys/unix/cpp1.shr
index f2b133d..8ec6528 100644
--- a/sys/unix/cpp1.shr
+++ b/sys/unix/cpp1.shr
@@ -1147,7 +1147,7 @@ X#define	BLK_NEST		32
 X
 X/*
 X * Some special constants.  These may need to be changed if cpp
-X * is ported to a wierd machine.
+X * is ported to a weird machine.
 X *
 X * NOTE: if cpp is run on a non-ascii machine, ALERT and VT may
 X * need to be changed.  They are used to implement the proposed
diff --git a/win/gnome/gnmenu.c b/win/gnome/gnmenu.c
index d3fa6da..3cd270f 100644
--- a/win/gnome/gnmenu.c
+++ b/win/gnome/gnmenu.c
@@ -312,7 +312,7 @@ ghack_menu_window_add_menu( GtkWidget *menuWin, gpointer menu_item,
 	    image = ghack_image_from_glyph( item->glyph, FALSE);
 	    if (image==NULL || image->pixmap==NULL) {
 		g_warning("Bummer -- having to force rendering for glyph %d!", item->glyph);
-		/* wierd -- pixmap is NULL so retry rendering it */
+		/* weird -- pixmap is NULL so retry rendering it */
 		image = ghack_image_from_glyph( item->glyph, TRUE);
 	    }
 	    if (image==NULL || image->pixmap==NULL) {
